/* 
    Ceci est fichier de couche JavaScript
*/

// Légende de la couche
let legend = { items: [] };

let color = "red";
let radiusSize = 5;

function pointColor (entiteGeo) {
    // on recherche la valeur de l'attribut "secteur_li"
    let valeurSecteur = entiteGeo.get("secteur_li");
    if (valeurSecteur === "Public") {
        return "blue";
    } else {
        return "red";
    }
};

let layer = new ol.layer.Vector({
        source: new ol.source.Vector({
            url: "https://ows.region-bretagne.fr/geoserver/rb/wfs?SERVICE=WFS&VERSION=1.0.0&REQUEST=GETFEATURE&TYPENAME=lycee&outputFormat=application/json&srsName=EPSG:4326",
            format: new ol.format.GeoJSON()
        }),
        style: function(feature) { 
            return new ol.style.Style({
                image: new ol.style.Circle({
                    fill: new ol.style.Fill({
                        // color: pointColor(feature)
                        color: entiteGeo.get("secteur_li") === "Public" ? "blue" : "red"
                    }),
                    radius: radiusSize
                })
            })
        }
});

new CustomLayer("lycee", layer, legend);
